print("Initializing 'NA05 - Ore Grounding Recipes for New Alterlite'...");
//import mods.advancedmortars.Mortar;

// Disable Wooded Mortar - Only use stone and up.
recipes.removeByRecipeName("advancedmortars:mortar_wood");

// Disable vanilla methods of making ingots from smelting ores in furnace.
// Ignore visual syntax errors here, actually works fine in-game.
furnace.remove(<ore:ingotIron>, <ore:oreIron>);
furnace.remove(<ore:ingotGold>, <ore:oreGold>);
furnace.remove(<ore:coal>, <ore:oreCoal>);
furnace.remove(<ore:gemLapis>, <ore:oreLapis>);
furnace.remove(<ore:gemDiamond>, <ore:oreDiamond>);
furnace.remove(<ore:dustRedstone>, <ore:oreRedstone>);
furnace.remove(<ore:gemEmerald>, <ore:oreEmerald>);
furnace.remove(<ore:ingotCopper>, <ore:oreCopper>);
furnace.remove(<ore:ingotAluminum>, <ore:oreAluminum>);
furnace.remove(<ore:ingotLead>, <ore:oreLead>);
furnace.remove(<ore:ingotSilver>, <ore:oreSilver>);
furnace.remove(<ore:ingotUranium>, <ore:oreUranium>);
furnace.remove(<ore:ingotNickel>, <ore:oreNickel>);
furnace.remove(<ore:ingotTin>, <ore:oreTin>);
furnace.remove(<ore:ingotPlatinum>, <ore:orePlatinum>);
furnace.remove(<ore:ingotIridium>, <ore:oreIridium>);
furnace.remove(<ore:ingotMithril>, <ore:oreMithril>);


// Syntax - (["types","of","mortars","here"], <itemoutput:goeshere>, x amount of clicks, [<input:ingredients>, <goes:Here>]);
// Vanilla Gems and Ingots
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material> * 3, 12, [<ore:oreIron>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:1> * 3, 12, [<ore:oreGold>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:768> * 3, 12, [<ore:oreCoal>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <minecraft:dye:4> * 6, 16, [<ore:oreLapis>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <minecraft:diamond> * 2, 32, [<ore:oreDiamond>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <minecraft:redstone> * 6, 16, [<ore:oreRedstone>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <minecraft:emerald> * 2, 32, [<ore:oreEmerald>]);

// Modded Gems and Ingots
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:64> * 3, 12, [<ore:oreCopper>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:68> * 3, 12, [<ore:oreAluminum>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:67> * 3, 12, [<ore:oreLead>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:66> * 3, 14, [<ore:oreSilver>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <immersiveengineering:metal:14> * 3, 24, [<ore:oreUranium>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:69> * 3, 14, [<ore:oreNickel>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:65> * 3, 12, [<ore:oreTin>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:70> * 3, 20, [<ore:orePlatinum>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:71> * 3, 22, [<ore:oreIridium>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:72> * 3, 18, [<ore:oreMithril>]);

// Remove Default Mixing Recipes
recipes.removeByRecipeName("unidict:dustelectrum_x2_size.2");
recipes.removeByRecipeName("unidict:dustconstantan_x2_size.2");
recipes.removeByRecipeName("unidict:dustinvar_x3_size.3");
recipes.removeByRecipeName("unidict:dustbronze_x4_size.4");

// Mixing Recipes
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:97> * 2, 8, [<ore:dustGold>, <ore:dustSilver>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:98> * 3, 8, [<ore:dustIron> * 2, <ore:dustNickel>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:99> * 3, 8, [<ore:dustCopper> * 3, <ore:dustTin>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:100> * 2, 8, [<ore:dustCopper>, <ore:dustNickel>]);

// Pulverize Recipes
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:769> * 2, 10, [<ore:charcoal>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <thermalfoundation:material:768> * 2, 10, [<ore:coal>]);
mods.advancedmortars.Mortar.addRecipe(["stone", "iron", "diamond"], <minecraft:flint>, 10, [<ore:gravel>]);


print("Initialization of 'NA05 - Ore Grounding Recipes for New Alterlite' has been completed.");